#ifndef ZOOMWIN_H
#define ZOOMWIN_H


#include "RMWin.h"

class ZoomWin : public RMWin
{
public:
	ZoomWin();
	BOOL CreateScene();
protected:
	//{{AFX_MSG(ZoomWin)
	afx_msg void OnRenderWireframe();
	afx_msg void OnRenderFlat();
	afx_msg void OnRenderGouraud();
	afx_msg void OnUpdateRenderFlat(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRenderGouraud(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRenderWireframe(CCmdUI* pCmdUI);
	afx_msg void OnAnimationLinear();
	afx_msg void OnUpdateAnimationLinear(CCmdUI* pCmdUI);
	afx_msg void OnAnimationSpline();
	afx_msg void OnUpdateAnimationSpline(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
    static void AdjustField(LPDIRECT3DRMFRAME frame, void*, D3DVALUE);
private:
    LPDIRECT3DRMMESHBUILDER meshbuilder;
    static LPDIRECT3DRMFRAME zoomframe;
    static LPDIRECT3DRMANIMATION animation;
};


#endif
